generate.hpp File Reference

## Typedefs

template<typename O , typename F >
using | ranges::generate_result = detail::out_fun_result< O, F >

## Functions

template<typename O , typename S , typename F >
auto | ranges::generate (O first, S last, F fun) -> generate_result< O, F > requires invocable< F &> &&output_iterator< O, invoke_result_t< F &>> &&sentinel_for< S, O >
| function template `generate_n`
template<typename Rng , typename F >
auto | ranges::generate (Rng &&rng, F fun) -> generate_result< safe_iterator_t< Rng >, F > requires invocable< F &> &&output_range< Rng, invoke_result_t< F &>>